org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectFromAndJoinCondition

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectJoin, SelectBuilder.SelectLimitOffset, SelectBuilder.SelectLock, SelectBuilder.SelectOnCondition, SelectBuilder.SelectOrdered, SelectBuilder.SelectWhere

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectFromAndJoinCondition
    extends SelectBuilder.BuildSelect, SelectBuilder.SelectJoin, SelectBuilder.SelectWhere, SelectBuilder.SelectOnCondition, SelectBuilder.SelectLimitOffset, SelectBuilder.SelectLock

Builder exposing `FROM`, `WHERE`, `LIMIT/OFFSET`, JOIN `AND` and `LOCK` continuation methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectFromAndJoin` `limit(long limit)` Apply a limit of rows to read.
`SelectBuilder.SelectFromAndJoin` `limitOffset(long limit, long offset)` Apply `limit` and `offset` parameters to the select statement.
`SelectBuilder.SelectFromAndJoin` `offset(long offset)` Apply an offset where to start reading rows.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectWhere

`where`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectOrdered

`orderBy, orderBy, orderBy`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectOnCondition

`and`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectJoin

`join, join, leftOuterJoin`

### Method Detail

#### limitOffset

    SelectBuilder.SelectFromAndJoin limitOffset(long limit,
                                                long offset)

Apply `limit` and `offset` parameters to the select statement. To read the first 20 rows from start use `limitOffset(20, 0)`. to read the next 20 use `limitOffset(20, 20)`.

Specified by:
  `limitOffset` in interface `SelectBuilder.SelectLimitOffset`
Parameters:
  `limit` - rows to read.
  `offset` - row offset, zero-based.
Returns:
  `this` builder.

#### limit

    SelectBuilder.SelectFromAndJoin limit(long limit)

Apply a limit of rows to read.

Specified by:
  `limit` in interface `SelectBuilder.SelectLimitOffset`
Parameters:
  `limit` - rows to read.
Returns:
  `this` builder.

#### offset

    SelectBuilder.SelectFromAndJoin offset(long offset)

Apply an offset where to start reading rows.

Specified by:
  `offset` in interface `SelectBuilder.SelectLimitOffset`
Parameters:
  `offset` - start offset.
Returns:
  `this` builder.